function triggerForm(command)
{
  var d = document.mainMenu;

  if (command == "create")
  {
    // verify we have a name specified in extraArgs
    if (d.extraArgs.value.length == 0)
    {
      alert("You must specify the name of the Firewall to create!");
      return;
    }
    // make sure the config file doesn't already exist.
    for (var i=0; i < d.configName.options.length; i++)
    {
      if (d.extraArgs.value == d.configName.options[i].value)
      {
        alert("You already have a Firewall Config named '" + d.extraArgs.value + "'!");
        return;
      }
    }
  }
  if (command == "edit")
  {
    var fname = d.configName.options[d.configName.selectedIndex].value;
    // verify we have a name specified in extraArgs
    if (fname.length == 0)
    {
      alert("You must specify the name of the Firewall to edit!");
      return;
    }
  }
  if (command == "delete")
  {
    var fname = d.configName.options[d.configName.selectedIndex].value;
    if (fname == "template.xml")
    {
      alert("You can not delete the Template Config File!");
      return;
    }
    // verify we have a name specified in extraArgs
    if (fname.length == 0)
    {
      alert("You must specify the name of the Firewall to delete!");
      return;
    }
    // now ask the user to verify they want to delete this config
    var result = confirm("Do you really want to Delete config '" + fname + "'?");
    if (result == false)
    {
      return;
    }
  }
  if (command == "clone")
  {
    // verify we have a name specified in extraArgs
    if (d.extraArgs.value.length == 0)
    {
      alert("You must specify the new name of the Firewall to clone!");
      return;
    }
    // make sure the config file doesn't already exist.
    for (var i=0; i < d.configName.options.length; i++)
    {
      if (d.extraArgs.value == d.configName.options[i].value)
      {
        alert("You already have a Firewall Config named '" + d.extraArgs.value + "'!");
        return;
      }
    }
  }
  if (command == "generate")
  {
    var fname = d.configName.options[d.configName.selectedIndex].value;
    // verify we have a name specified in extraArgs
    if (fname.length == 0)
    {
      alert("You must specify the name of the Firewall to generate!");
      return;
    }
  }
  if (command == "manageBackups")
  {
    var fname = d.configName.options[d.configName.selectedIndex].value;
    // verify we have a name specified in extraArgs
    if (fname.length == 0)
    {
      alert("You must specify the name of the Firewall to work with!");
      return;
    }
  }
  if (command == "refresh")
  {
    command = "mainMenu";
  }
  d.command.value = command;
  d.submit();
}

function askNewName()
{
  var d = document.mainMenu;

  var newName = prompt("Specify new Firewall Config Name:", "");
  if (typeof(newName) == "object")
  {
    return 0;
  }
  if (newName != "")
  {
    d.extraArgs.value = newName;
  }
  return 1;
}

function enableButtons()
{
  var d = document.mainMenu;

  if (d.configName.selectedIndex >= 0 && d.configName.selectedIndex < d.configName.options.length)
  {
    d.editB.disabled = false;
    d.deleteB.disabled = false;
    d.cloneB.disabled = false;
    d.generateB.disabled = false;
    d.backupsB.disabled = false;
  }
}

